Bug 848505 - [abrt] jpilot-1.8.1-3.fc17: __GI_raise: Process /usr/bin/jpilot was killed by signal 6 (SIGABRT)
[abrt] jpilot-1.8.1-3.fc17: __GI_raise: Process /usr/bin/jpilot was killed by...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:22751ca7f034186fabe4bcd7fa4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 15:16 EDT by Adam Stein
Modified: 2012-12-15 14:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 14:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (7.61 KB, text/plain)
2012-08-15 15:16 EDT, Adam Stein
no flags Details
File: environ (4.28 KB, text/plain)
2012-08-15 15:16 EDT, Adam Stein
no flags Details
File: backtrace (56.40 KB, text/plain)
2012-08-15 15:16 EDT, Adam Stein
no flags Details
File: maps (34.47 KB, text/plain)
2012-08-15 15:16 EDT, Adam Stein
no flags Details
File: dso_list (5.68 KB, text/plain)
2012-08-15 15:16 EDT, Adam Stein
no flags Details

  None (edit)
Description Adam Stein 2012-08-15 15:16:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        jpilot
crash_function: __GI_raise
executable:     /usr/bin/jpilot
kernel:         3.4.6-2.fc17.x86_64
pid:            4295
pwd:            /home/adam
remote_result:  NOTFOUND
time:           Wed 15 Aug 2012 03:08:49 PM EDT
uid:            1000
username:       adam

backtrace:      Text file, 57758 bytes
core_backtrace: Text file, 7790 bytes
dso_list:       Text file, 5820 bytes
environ:        Text file, 4384 bytes
maps:           Text file, 35293 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:f69712fe393313f44607679e934bf5a67f39ec50
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:6668de624a10d486a3484d5b4921f87b1e77d36c
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:837f00ffdc90ddd56b87503938029d7b40cb42b3
:fd952473da735f9c0f50de231aa3d84d7855ef57
:b277af36744327e3d58eae76bcdaadcca71a28c6
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:6be87969bc38cd5d7b82ce0feb9b78a31dbccaee
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:309abacd5ecd050e80576c6a94f309999aafae27
:f4c064df8745dff15466d705fb049138f9a5c949
:e374922181ab65ec03476180dded6440ba9130d6
:f227cfd2550b8b9e1a725173e990f88be82dcb3a
:253afe744466fe7580bbb6040de6183dba9e2b02
:abb4f74cd9b2b68d8c7773c11e9e5dafe043f417
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:558285a80ccf72080230fa0b5673b6b0f6c78dd8
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:d804f8ee47797da9213a92f00cd095ecada8d79f
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:3934b7aeda6f9a2b409dfb07de9a0900cd6e5346
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:971d75786cb967b87e68fbce431c2166e5ab2a86
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:7bc0d055d7474f7e4b2107dfe0ba01cdcc56363d
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:8f7c190397d7c1f617e66f18f759714662b60367
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:f598701dcf21904b093f3932ee070ebed563424a
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:ad8de566cd5e1ba679b3e85c6958b3ab3e6ab18c
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/adam/2

comment:
:Did the following:
:
:1) started jpilot
:2) changed alarm preferences to NOT open alarm windows for appointment reminders
:3) pushed sync button on Pilot
:4) waited 5 seconds
:5) pushed the sync & backup button on jpilot main window

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63728                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63728                63728                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:pipe:[61390]
:pos:	0
:flags:	00
:4:pipe:[61390]
:pos:	0
:flags:	01
:5:pipe:[61391]
:pos:	0
:flags:	00
:6:pipe:[61391]
:pos:	0
:flags:	01
:7:socket:[61392]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:/home/adam/.jpilot/jpilot.alarms (deleted)
:pos:	126
:flags:	0100000
:10:/home/adam/.jpilot/sync_pid
:pos:	6
:flags:	0100002
:11:socket:[61442]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Aug 15 15:08:49 stein1 kernel: [25935.838709] jpilot: sending ioctl 5401 to a partition!
:Aug 15 15:08:49 stein1 abrt[4299]: Saved core dump of pid 4295 (/usr/bin/jpilot) to /var/spool/abrt/ccpp-2012-08-15-15:08:49-4295 (11935744 bytes)
Comment 1 Adam Stein 2012-08-15 15:16:09 EDT
Created attachment 604669 [details]
File: core_backtrace
Comment 2 Adam Stein 2012-08-15 15:16:10 EDT
Created attachment 604670 [details]
File: environ
Comment 3 Adam Stein 2012-08-15 15:16:12 EDT
Created attachment 604671 [details]
File: backtrace
Comment 4 Adam Stein 2012-08-15 15:16:14 EDT
Created attachment 604672 [details]
File: maps
Comment 5 Adam Stein 2012-08-15 15:16:15 EDT
Created attachment 604673 [details]
File: dso_list
Comment 6 Peter Schiffer 2012-12-04 09:12:43 EST
Hi Adam,

thanks for the report. Do you still see this problem? I'm not able to reproduce it.. What kind of notifications with alarms do you have in palm? How long before the event is alarm set? Or if you can think of some other useful information how to reproduce this, just let me know..

Thanks,

peter
Comment 7 Adam Stein 2012-12-11 13:31:09 EST
Sorry I didn't get back sooner.  I need to test this at home and I keep forgetting.

I did at least want you to know I received your message.  I need to test at home because, for some reason, when I upgraded Fedora at work, I lost the ability to connect to my Palm.  At work, I'm also running under VirtualBox while at home, Fedora is the boot OS, so I wanted to see if VirtualBox was somehow causing me not to be able to connect anymore.

If I can't connect at home, then there's no point in continuing.  I used to connect fine (jpilot, pilot-sync).  Doesn't work anymore (even thought the setup hasn't changed and I can see the device when I run 'lsusb' after the hotsync button is pressed).

As for alarms, I have the typical 15 minutes before appointment alarms.  Nothing else.  Hopefully, I will get to trying to connect at home to see if VirtualBox is affecting it somehow.
Comment 8 Peter Schiffer 2012-12-11 14:13:39 EST
That's OK Adam. When running under VirtualBox, you might need to add USB filter with Palm device in the USB section of virtual machine settings. This works for me under Fedora 17.

peter
Comment 9 Adam Stein 2012-12-11 14:36:03 EST
I do have the USB filter so that the Palm passes thru to Fedora.  At some point, I just couldn't connect to the device anymore (could be the device itself I guess).  Running 'lsusb' does show the device, so I know Fedora under VirtualBox knows it's there.
Comment 10 Adam Stein 2012-12-15 13:19:21 EST
You might as well close this.  I can't connect at home either.  Not with JPilot, not with pilot-link.  Syncing with the Palm was nice while it lasted.
Comment 11 Peter Schiffer 2012-12-15 14:30:24 EST
I am sorry to hear that Adam. Feel free to reopen if something changes.

Note You need to log in before you can comment on or make changes to this bug.